//
//  Item.swift
//  APIService
//
//  Created by Javier Cicchelli on 03/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

import Foundation

public struct Item {
    public let idParent: String?
    public let id: String
    public let name: String
    public let isDirectory: Bool
    public let lastModifiedAt: Date
    public let size: Int?
    public let contentType: String?
}

// MARK: - Decodable

extension Item: Decodable {
    enum CodingKeys: String, CodingKey {
        case id
        case idParent = "parentId"
        case name
        case isDirectory = "isDir"
        case lastModifiedAt = "modificationDate"
        case size
        case contentType
    }
}

// MARK: - Equatable

extension Item: Equatable {}
